
{{ template "header" . }}

{{ template "menu" }}


<div class="container">

  <h4 class="ui large header">{{ .Title }} ({{ .RowCount }}) </h4>
              <hr/>

              <a href="/export_invoices" class="btn btn-info">Export</a>

              <div class="float-right">
                <form class="form-inline my-2 my-lg-0" action="/search_invoice" method="post">
                  <input class="form-control mr-sm-2" type="text" placeholder="Search" name="query" />
                  <button class="btn btn-secondary my-2 my-sm-0" type="submit">Search</button>
                </form>
              </div>
              <br style="clear:both;" />

          <table class="ui striped table">
          <thead>
            <tr>
              <th>ID</th>
              <th>Invoice Number</th>
              <th>VAT</th>
              <th>Grand Total</th>              
              <th>Signature</th>
              <th>Branch</th>
              <th>View</th>
            </tr>
          </thead>
          <tbody>
            {{ range $i, $e := .Invoices }}
              <tr>
                <td>{{ .Id }} </td>
                <td>{{ .InvoiceNumber }} </td>
                <td>{{ .Vat }} </td>
                <td>{{ .GrandTotal }} </td>
                <td>{{ .Signature }} </td>
                <td>{{ .Branch }} </td>
                <td><a href="/invoice/{{ .Id }}" class="btn btn-info">View</a></td>
              </tr>
            {{ end }}
          </tbody>
        </table>

    <div class="bs-component">
      <div>
        <ul class="pagination">
          <li class="page-item disabled">
            <a class="page-link" href="#">&laquo;</a>
          </li>

          {{ range $i, $e := .Pagination }}
            <li class="page-item active">
              <a class="page-link" href="/branch_invoices/{{.PageNumber}}">{{.PageNumber}}</a>
            </li>
          {{ end }}

          <li class="page-item">
          <a class="page-link" href="#">&raquo;</a>
        </li>
      </ul>
    </div>
  </div>

</div>


{{ template "footer" }}
